def min_route(n, points):
    import itertools

    def man_dis(p1, p2):
        return abs(p1[0] - p2[0]) + abs(p1[1] - p2[1])
    dist = [[man_dis(points[i], points[j]) for j in range(n)] for i in range(n)]
    dp = [[float('inf')]*n for _ in range(1 << n)]

    for i in range(n):
        dp[1 << i][i] = 0

    for mask in range(1 << n):
        for u in range(n):
            if mask & (1 << u):
                for v in range(n):
                    if not (mask & (1 << v)):
                        new_mask = mask | (1 << v)
                        dp[new_mask][v] = min(dp[new_mask][v], dp[mask][u] + dist[u][v])

    min_len = float('inf')
    final_mask = (1 << n) - 1
    for i in range(n):
        min_len = min(min_len, dp[final_mask][i])
    return min_len

n = int(input())
points = [tuple(map(int, input().split())) for _ in range(n)]
result = min_route(n, points)
print(f"{result:.6f}")

